--- title: "setNetworkAclDescription" slug: "networking-vpc-networkacl-setnetworkacldescription" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vpc-networkacl-setnetworkacldescription" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # setNetworkAclDescription Available in VPC Edit the description of a network ACL by specifying the network ACL number. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpc/v2/setNetworkAclDescription | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all VPC APIs, see [VPC common headers](/docs/en/networking-vpc#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the network ACL whose description you want to edit - First Region of the query result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). | | `networkAclNo` | String | Required | Number of network ACL whose description you want to edit - See [getNetworkAclList](/docs/en/networking-vpc-networkacl-getnetworkacllist). | | `networkAclDescription` | String | Optional | Description of the network ACL you want to edit (byte) - 0-1000 | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/setNetworkAclDescription ?regionCode=KR &networkAclNo=***31 &networkAclDescription=test-description' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [NetworkAclList](/docs/en/common-vapidatatype-networkacllist) for the response body. ### Response status codes For information about the HTTP status codes common to all VPC APIs, see [VPC response status codes](/docs/en/networking-vpc#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` b3826530-2906-476e-916f-c3f29221c59d 0 success 1 ***31 test-*** ***04 RUN run test-description 2020-06-24T15:37:07+0900 false ```